# Update Configuration

This method allows the updating/overwriting of geometry dash configuration.

**Request**

<table><thead><tr><th width="213">name</th><th>value</th></tr></thead><tbody><tr><td>url</td><td><pre><code>https://dev.pulsoid.net/api/v1/geometry-dash-mod/configuration
</code></pre></td></tr><tr><td>method</td><td><code>POST</code></td></tr><tr><td>scope</td><td><code>geometry_dash_mod:configuration:write</code></td></tr><tr><td></td><td></td></tr></tbody></table>

**Headers Parameters explained:**

<table><thead><tr><th width="165">name</th><th>value</th><th>description</th></tr></thead><tbody><tr><td>Authorization</td><td>Bearer {auth token}</td><td>How to obtains access token<br><a href="https://docs.pulsoid.net/#how-to-obtain-an-authorization-token">https://docs.pulsoid.net/#how-to-obtain-an-authorization-token</a></td></tr></tbody></table>

**Request Param**

<table><thead><tr><th>name</th><th width="296.265625">type</th><th>description</th></tr></thead><tbody><tr><td>configuration</td><td><a href="/pages/Oe7aKCjb9NuiLW7ydRcA">geometry dash mod configuration</a></td><td>mod configuration</td></tr></tbody></table>

**NOTE:** This API overwrites the existing configuration, so the client should submit the full configuration every time.

Example of request body

```json
{
  "configuration": {
    "disable_start": true,
    "death_bpm": 1
  }
}
```

#### Response

The response body in case 200 http status is a [geometry dash mod configution](/geometry-dash-mod-management/geometry-dash-mod-configuration-entity.md) .

**Curl Request Example**

```bash
curl --request POST \
  --url https://dev.pulsoid.net/api/v1/geometry-dash-mod/configuration \
  --header 'Authorization: Bearer 47ee2a9f-624d-4ed3-84db-8104b229f21c' \
  --header 'content-type: application/json' \
  --data '{
  "configuration": {
    "disable_start": true,
    "death_bpm": 1
  }
}'
```

**Response Example**

```json
{
  "configuration": {
    "disable_start": true,
    "enable_death": null,
    "death_bpm": 1,
    "scale": null,
    "position": null,
    "custom_x": null,
    "custom_y": null,
    "heart_pos": null,
    "death_pos": null,
    "enable_color_desaturation": null,
    "desaturation_bpm_start": null,
    "desaturation_bpm_end": null
  }
}
```

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pulsoid.net/geometry-dash-mod-management/update-configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
